---
updatedAt: 2026-05-07T14:21:27.000Z
agentTools:
  projectIndex: https://docs.noves.fi/llms.txt
---

# /exchange/{exchange}/accounts

Returns the accounts available for the requested exchange, for the credentials posted.

Note: for Hyperliquid, you must supply the wallet address associated with the account, the api key generated inside the portal, and mark whether this is for testnet account or not (defaults to mainnet).

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Translate API",
    "description": "Translate raw blockchain transactions into human-friendly, enriched form. Powered by Noves.",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://translate.noves.fi/"
    }
  ],
  "paths": {
    "/exchange/{exchange}/accounts": {
      "post": {
        "tags": [
          "Exchange"
        ],
        "summary": "/exchange/{exchange}/accounts",
        "description": "Returns the accounts available for the requested exchange, for the credentials posted.\r\n\r\nNote: for Hyperliquid, you must supply the wallet address associated with the account, the api key generated inside the portal, and mark whether this is for testnet account or not (defaults to mainnet).",
        "parameters": [
          {
            "name": "exchange",
            "in": "path",
            "description": "Name of the exchange to query. Required.",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "apiKey",
            "in": "header",
            "description": "API Key for Translate API. To generate an API Key, visit https://noves.fi/pricing",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "demokey"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ExchangeRequestBody"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/ExchangeRequestBody"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/ExchangeRequestBody"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {}
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Auth": {
        "type": "object",
        "properties": {
          "apiKey": {
            "type": "string",
            "nullable": true
          },
          "walletAddress": {
            "type": "string",
            "nullable": true
          },
          "testnet": {
            "type": "boolean",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Authentication credentials for Hyperliquid exchange"
      },
      "ExchangeRequestBody": {
        "type": "object",
        "properties": {
          "auth": {
            "$ref": "#/components/schemas/Auth"
          }
        },
        "additionalProperties": false,
        "description": "Request body wrapper for Exchange requests"
      },
      "ProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": {}
      }
    }
  }
}
```